<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="attribute-tests">
  
  <test name="paragraph-style-change">
    <parameter name="name" value="paragraph-style-change"/>
    <parameter name="dir" value="test/attributes/attribute-modification"/>
    <parameter name="trackedFile" value="paragraph-style-change-tracked.odt"/>
    <parameter name="versions" value="paragraph-style-change-v1.odt,paragraph-style-change-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-item-restarted-numbering">
    <parameter name="name" value="list-item-restarted-numbering"/>
    <parameter name="dir" value="test/attributes/attribute-addition"/>
    <parameter name="trackedFile" value="restarted-numbering-tracked.odt"/>
    <parameter name="versions" value="restarted-numbering-v1.odt,restarted-numbering-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="list-item-restarted-numbering-removed">
    <parameter name="name" value="list-item-restarted-numbering-removed"/>
    <parameter name="dir" value="test/attributes/attribute-deletion"/>
    <parameter name="trackedFile" value="restarted-list-numbering-removed-tracked.odt"/>
    <parameter name="versions" value="restarted-list-numbering-removed-v1.odt,restarted-list-numbering-removed-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
</suite>